gnutls_certificate_set_x509_key(3)

NAME
gnutls_certificate_set_x509_key - Used to set keys in a gnutls_certificate_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_x509_key(gnutls_certificate_credentials_t res, gnutls_x509_crt_t * cert_list, int cert_list_size, gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_certificate_credentials_t res
    is an gnutls_certificate_credentials_t structure.

gnutls_x509_crt_t * cert_list
    contains a certificate list (path) for the specified private key

int cert_list_size
    holds the size of the certificate list

gnutls_x509_privkey_t key
    is a gnutls_x509_privkey_t key

DESCRIPTION
This function sets a certificate/private key pair in the gnutls_certificate_credentials_t structure. This function may be called more than once (in case multiple keys/certificates exist for the server).

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.